| hscolour | Source code | Contents | Index

Language.Haskell.HsColour

Description

This is a library which colourises Haskell code. It currently has five output formats:

- ANSI terminal codes
- LaTeX macros
- HTML with font tags
- HTML with CSS.
- mIRC chat client colour codes.

Synopsis

data Output

= TTY
| LaTeX
| HTML
| CSS
| MIRC

data ColourPrefs = ColourPrefs {

keyword, keyglyph, layout, comment, conid, varid, conop, varop, string, char, number, cpp, selection, variantselection, definition :: [Highlight]

}

hscolour :: Output -> ColourPrefs -> Bool -> Bool -> Bool -> String -> String -> String

Documentation

data Output | Source

The supported output formats.
Constructors

TTY | ANSI terminal codes
LaTeX | TeX macros
HTML | HTML with font tags
CSS | HTML with CSS.
MIRC | mIRC chat clients

Instances

Eq Output
Show Output

data ColourPrefs | Source

Colour preferences.
Constructors

ColourPrefs |

keyword, keyglyph, layout, comment, conid, varid, conop, varop, string, char, number, cpp, selection, variantselection, definition :: [Highlight] |

Instances

Eq ColourPrefs
Read ColourPrefs
Show ColourPrefs

hscolour | Source

:: Output | Output format.
-> ColourPrefs | Colour preferences (for formats that support them).
-> Bool | Whether to include anchors.
-> Bool | Whether output document is partial or complete.
-> Bool | Whether input document is literate haskell or not
-> String | Title for output.
-> String | Haskell source code.
-> String | Coloured Haskell source code.
Colourise Haskell source code with the given output format.

Produced by Haddock version 0.8